## Bug reports

If you think you have found a bug, please [open a new issue on GitHub](https://github.com/ewatercycle/era5cli/issues).

Try give as much information as you can in the issue. It is very useful if
you can supply the command or a small self-contained code snippet that
reproduces the problem. Please also specify the era5cli version that you are
using and the version of the cdsapi library installed. You can find these with:
```sh
pip show era5cli cdsapi
```

## Contribute to the tool

We welcome contributions form everyone. Please use our [GitHub issue
tracker](https://github.com/ewatercycle/era5cli/issues) for questions, ideas, or feature requests.

If you want to make a pull request:

1. discuss your idea first, before putting in a lot of effort
2. refer to the [developer documentation](./general_development.md) for information on how to setup your environment, testing, and more.
3. if needed, fork the repository to your own Github profile
4. work on your own feature branch
5. make sure the existing tests still work and add new tests (if necessary)
6. update or expand the documentation
7. make sure your code follows the style guidelines
8. don't be afraid to ask help with any of the above steps. We're happy to help!

By participating in this project, you agree to abide by the [code of
conduct](CODE_OF_CONDUCT.md).
