There are two types of data requests, hourly and monthly. Hourly requests generally have 24 hours of data available for each day, except in the case of forecase ensembles which are available every three hours (i.e. 8 per day).

Hourly and monthly requests mostly have the same variables available, except some of the variables that are only in the hourly datasets. Exceptions on the single level data can be found in table 8 of [ERA5 parameter listings](https://confluence.ecmwf.int/display/CKB/ERA5%3A+data+documentation#ERA5:datadocumentation-Table8).

## Hourly

With the `hourly` argument you can fetch hourly ERA5 data.
All available arguments in `era5cli` can be seen using `era5cli hourly --help`, or by going to the [reference](reference/arguments.md).

More information on the available data and options can be found on the following pages:

 - [ERA5 hourly single levels download page](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-single-levels).
 - [ERA5 hourly pressure levels download page](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-pressure-levels).
 - [ERA5 hourly single levels preliminary back extension download page](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-single-levels-preliminary-back-extension).
 - [ERA5 hourly pressure levels preliminary back extension download page](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-pressure-levels-preliminary-back-extension).
 - [ERA5-Land hourly download page](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-land).

## Monthly

With the `monthly` argument you can fetch monthly-means of ERA5 data.
All available arguments in `era5cli` can be seen using `era5cli monthly --help`, or by going to the [reference](reference/arguments.md).

More information on the available data and options can be found on the following pages:

 - [ERA5 monthly single levels download page](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-single-levels-monthly-means).
 - [ERA5 monthly pressure levels download page](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-pressure-levels-monthly-means).
 - [ERA5 monthly single levels preliminary back extension download page](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-single-levels-monthly-means-preliminary-back-extension).
 - [ERA5 monthly pressure levels preliminary back extension download page](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-pressure-levels-monthly-means-preliminary-back-extension).
 - [ERA5-Land monthly download page](https://cds.climate.copernicus.eu/cdsapp#!/dataset/reanalysis-era5-land-monthly-means).

